Storm docs logo
Search the docs.../
Explore Storm Products

Get List (find)

Request to fetch stream list.

Request

PropertyValue
MethodGET
URLhttps://api.stormstreaming.com/api/request/stream/list
Authenticationx-api-key
Request
Code iconbash
curl -X GET "https://api.stormstreaming.com/api/request/stream/list?query=my+stream&page=1&rowsPerPage=10" \
  -H "x-api-key: YOUR_API_KEY"

Query Parameters

FieldDefaultRequiredValidationDescription
query-NoString 1-255 charsFlexible search field. Smart and typo-tolerant phrase matching
page1NoIntCurrent list page
rowsPerPage10NoInt 5-50Maximum rows per page
orderdescNoString asc/desc'desc' for newest first, 'asc' for oldest first
orderBycreateDateNoString createDate/streamName/isPublishedColumn to sort by
Request Body
Code iconjson
{
  "query": "my stream",
  "page": 1,
  "rowsPerPage": 10,
  "order": "desc",
  "orderBy": "createDate"
}

Response

ParameterTypeDescription
listarrayArray of stream objects
list[].streamKeystring (40 chars)Stream unique key
list[].namestring (1-255 chars)Stream name
list[].thumbUrlstring (nullable)URL of the thumbnail image
list[].isPublishedbooleanWhether the stream is currently live
list[].createDatestringCreation date (Y-m-d H:i:s)
list[].highlightstring (nullable)Search terms enclosed in <mark> tags
totalCountintegerTotal number of streams matching the query
Successful Response (200)
Code iconjson
{
  "list": [
    {
      "streamKey": "9ed8b119f8ed9425a428a47846e55c6b761afc6c",
      "name": "My stream",
      "thumbUrl": null,
      "isPublished": true,
      "createDate": "2024-01-25 11:10:53",
      "highlight": [
        "My <mark>stream</mark>"
      ]
    },
    {
      "streamKey": "f429ebe038d866ff88223498f467f59f9e7c365d",
      "name": "My stream 2",
      "thumbUrl": null,
      "isPublished": false,
      "createDate": "2024-01-25 11:03:05",
      "highlight": [
        "My <mark>stream</mark> 2"
      ]
    }
  ],
  "totalCount": 2
}
Support Needed?

Create a free ticket and our support team will provide you necessary assistance.

Blog
Support
About us
Patents
Term of use
Privacy policy
Contact
©2026 Storm Streaming Media. All Rights Reserved.